<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <include layout="@layout/sub_header"/>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintTop_toBottomOf="@+id/header"
        app:layout_constraintBottom_toBottomOf="parent">

        <android.support.constraint.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <android.support.constraint.ConstraintLayout android:id="@+id/image_lay"
                android:layout_width="150dp"
                android:layout_height="150dp"
                android:layout_marginTop="40dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent">

                <de.hdodenhof.circleimageview.CircleImageView
                    android:id="@+id/photo"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"/>

                <TextView android:id="@+id/editPhoto"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:fontFamily="@font/fontawesome"
                    android:text="@string/ic_camera"
                    android:textSize="20sp"
                    android:textColor="@color/textWhite"
                    android:gravity="center"
                    android:background="@drawable/circle_orange"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"/>

            </android.support.constraint.ConstraintLayout>
    
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_marginTop="40dp"
                android:layout_marginStart="40dp"
                android:layout_marginEnd="40dp"
                app:layout_constraintTop_toBottomOf="@+id/image_lay">
    
                <innovacia.co.id.trunkey1.helper.CustomTextInputLayout
                    android:id="@+id/name_lay"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    app:hintTextAppearance="@android:style/TextAppearance.Small">
        
                    <EditText
                        android:id="@+id/name_value"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:imeOptions="actionNext"
                        android:fontFamily="@font/avenir_roman"
                        android:textSize="15sp"
                        android:maxLines="1"
                        android:textColorHint="@color/dark_gray"
                        android:hint="@string/child_fullname"
                        android:inputType="text"/>
                </innovacia.co.id.trunkey1.helper.CustomTextInputLayout>
        
                <TextView android:id="@+id/tx_gender"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="15sp"
                    android:fontFamily="@font/avenir_roman"
                    android:textColor="@color/dark_gray"
                    android:text="@string/child_gender"
                    android:layout_marginTop="20dp"/>
                
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:weightSum="3"
                    android:orientation="horizontal"
                    android:layout_marginTop="10dp">

                    <TextView android:id="@+id/boy"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:background="@drawable/textview_border_no"
                        android:textSize="15sp"
                        android:text="Boy"
                        android:gravity="center"
                        android:fontFamily="@font/avenir_roman"
                        android:textColor="@color/black"/>
    
                    <TextView android:id="@+id/girl"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:background="@drawable/textview_border_no"
                        android:textSize="15sp"
                        android:text="Girl"
                        android:gravity="center"
                        android:fontFamily="@font/avenir_roman"
                        android:textColor="@color/black"
                        android:layout_marginStart="20sp"/>
                    
                </LinearLayout>
    
                <TextView android:id="@+id/tx_birth"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="15sp"
                    android:fontFamily="@font/avenir_roman"
                    android:textColor="@color/dark_gray"
                    android:text="@string/child_birth"
                    android:layout_marginTop="20dp"/>
    
                <TextView android:id="@+id/birthday_value"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:background="@drawable/calendar_border"
                    android:textSize="15sp"
                    android:fontFamily="@font/avenir_roman"
                    android:textColor="@color/dark_gray"
                    android:text="@string/child_birth"
                    android:gravity="center"
                    android:layout_marginTop="10dp"/>
    
                <TextView android:visibility="gone"
                    android:id="@+id/tx_hobby"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="15sp"
                    android:fontFamily="@font/avenir_roman"
                    android:textColor="@color/dark_gray"
                    android:text="@string/child_hobby"
                    android:layout_marginTop="20dp"/>
    
                <TextView android:visibility="gone"
                    android:id="@+id/hobby_value"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:background="@drawable/calendar_border"
                    android:textSize="15sp"
                    android:fontFamily="@font/avenir_roman"
                    android:textColor="@color/dark_gray"
                    android:text="@string/child_hobby"
                    android:gravity="center"
                    android:layout_marginTop="10dp"/>
    
                <TextView android:id="@+id/tx_theme"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="15sp"
                    android:fontFamily="@font/avenir_roman"
                    android:textColor="@color/dark_gray"
                    android:text="@string/child_theme"
                    android:layout_marginTop="20dp"/>
    
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:weightSum="3"
                    android:orientation="horizontal"
                    android:layout_marginTop="10dp">

                    <LinearLayout android:id="@+id/orange_lay"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:background="@drawable/textview_border_no">

                        <TextView android:id="@+id/theme_orange"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@drawable/rounded_shape_orange"
                            android:layout_margin="2dp"/>

                    </LinearLayout>

                    <LinearLayout android:id="@+id/blue_lay"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:background="@drawable/textview_border_no"
                        android:layout_marginStart="10dp">

                        <TextView android:id="@+id/theme_blue"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@drawable/rounded_shape_blue"
                            android:layout_margin="2dp"/>

                    </LinearLayout>

                    <LinearLayout android:id="@+id/gray_lay"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:background="@drawable/textview_border_no"
                        android:layout_marginStart="10dp">

                        <TextView android:id="@+id/theme_gray"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@drawable/rounded_shape_gray"
                            android:layout_margin="2dp"/>

                    </LinearLayout>

                </LinearLayout>
    
                <TextView android:id="@+id/btn_save"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_weight="1"
                    android:background="@drawable/text_shape_blue"
                    android:textSize="15sp"
                    android:text="@string/child_save"
                    android:fontFamily="@font/avenir_heavy"
                    android:textColor="@color/white"
                    android:gravity="center"
                    android:padding="5dp"
                    android:layout_marginTop="60dp"
                    android:layout_marginStart="40dp"
                    android:layout_marginEnd="40dp"
                    android:layout_marginBottom="20dp"/>
    
            </LinearLayout>

        </android.support.constraint.ConstraintLayout>

    </ScrollView>

</android.support.constraint.ConstraintLayout>
